#import "MontageInterface.h"
#import "ARPI.h"

@class MIBlueWindowParamController;
class TArmeWSObj;

@interface MIBlueWindowController : NSWindowController
{
    IBOutlet id			fBlueWindowView;
	NSMutableArray		*fParameters;
	TARPIHost			*fHost;
	TArmeWSObj			*fWSObject;
	int					fNumParams;
}

- (void)setWSObject:(TArmeWSObj*)obj;
- (void)setHost:(TARPIHost*)host pluginClass:(VARPIPluginClass*)pluginClass;

- (void)initialize;

- (float)getMinValueForParam:(int)paramNumber;
- (float)getMaxValueForParam:(int)paramNumber;
- (float)getValueForParam:(int)paramNumber;
- (void)setValue:(float)value forParam:(int)paramNumber;

- (MIBlueWindowParamController*)addParameter:(int)i;

- (NSString*)getNameForParam:(int)paramNumber;
- (float)getMinValueForParam:(int)paramNumber;
- (float)getMaxValueForParam:(int)paramNumber;
- (float)getValueForParam:(int)paramNumber;

- (void)newBlueWindowVPos:(float)vPos;
- (void)newBlueWindowHPos:(float)hPos;

@end
